Bug 128632 - FILEOPEN: Image in embedded file not displayed at import time
Summary: FILEOPEN: Image in embedded file not displayed at import time
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-11-06 13:27 UTC by Xisco Faulí
Modified: 2019-11-20 20:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.4 Master (129.77 KB, image/png)
2019-11-06 13:27 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-11-06 13:27:44 UTC
Created attachment 155578 [details]
comparison MSO 2010 and LibreOffice 6.4 Master

Steps to reproduce:
1. Open attachment 46710 [details] from bug 35957

-> The image in the embedded file is not displayed. See comparison image. Doubleclicking on it makes the image to be displayed

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: ee909ca2c02f949605f68720c3f1eef658502749
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-11-06 13:29:03 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=12273af6f18edade1bdda828fe270fa37960e14f

author	Miklos Vajna <vmiklos@collabora.com>	2019-09-30 21:36:56 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2019-10-01 09:03:20 +0200
commit	12273af6f18edade1bdda828fe270fa37960e14f (patch)
tree	d817427bc3cb5b7d55805119548df7d77decb13d
parent	97bb94979b032eb93d6de5c36831dde39f36fb74 (diff)
tdf#127446 vcl image lazy-load: fix custom size handling of metafiles

Bisected with: bibisect-linux64-6.4

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2019-11-19 08:05:06 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0098563895f6a4024b400582d1bf93cb4435ceed

tdf#128632 vcl image lazy-load: take unit into account when setting size

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-11-19 09:20:49 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c1e207afd82c587c977d3497c466a82b2628cb7b

tdf#128632 vcl image lazy-load: take unit into account when setting size

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-11-20 10:29:51 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 5059984c44379d09eabf740c21db062b925394ad
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!
Comment 5 Commit Notification 2019-11-20 20:37:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/427973bc2958b34464cfb5b38b3b06c422a919df

tdf#128632 vcl image lazy-load: take unit into account when setting size

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.